/*	**************************************************************************************
    *									options.js
    *									==========
    *
    *	Author:	Geva Zeichner
	*	Forum:	http://forums.mozillazine.org/viewtopic.php?t=408043
    *	Date:	02/06/2006
    *	Edited:	03/06/2006
    **************************************************************************************/

var IMDb_Preview_Options =
{
	prefs: Components.classes['@mozilla.org/preferences-service;1'].
		   getService(Components.interfaces.nsIPrefService).
		   getBranch('extensions.imdb_preview.'),
	init: function()
	{
		if (!this.prefs.prefHasUserValue("actual_loading_time"))
		{
			this.prefs.setIntPref("actual_loading_time", 0);
			this.prefs.setIntPref("complete_loading_time", 0);
			this.prefs.setIntPref("poster_loading_time", 0);
		}
		
		document.getElementById("imdb_preview_options.lbl.complete").value =
			this.prefs.getIntPref("complete_loading_time") + " ms";
		document.getElementById("imdb_preview_options.lbl.actual").value =
			this.prefs.getIntPref("actual_loading_time") + " ms";
		document.getElementById("imdb_preview_options.lbl.poster").value =
			this.prefs.getIntPref("poster_loading_time") + " ms";
		document.getElementById("imdb_preview_options.lbl.total").value =
			(this.prefs.getIntPref("actual_loading_time") + 
			 this.prefs.getIntPref("poster_loading_time")) + " ms";
	}
};















